Subject: Re: [patch 01/10] e1000e: make E1000E default to the same kconfig setting as E1000

From: Jeff Garzik <[email-masked]>
Date: Fri, 14 Dec 2007 18:17:55 -0500

Adrian Bunk wrote:
> On Fri, Dec 14, 2007 at 03:39:26PM -0500, Jeff Garzik wrote:
>> [email-masked] wrote:
>>> From: Randy Dunlap <[email-masked]>
>> ...
>> So I think the breakage that occurs is mitigated by two factors:
>> 1) kernel hackers that do their own configs are expected to be able to 
>> figure this stuff.
>> 2) kernel builders (read: distros, mainly) are expected to have put thought 
>> into the Kconfig selection and driver migration strategies.
>> ...
>> I would prefer simply to communicate to kernel experts and builders about a 
>> Kconfig issue that could potentially their booting/networking...  because 
>> this patch is only needed if the kernel experts do not already know about a 
>> necessary config update.
> 
> You miss the vast majority of kconfig users:
> 
> 3) system administrators etc. who for different reasons compile their 
> own kernels but neither are nor want to be kernel developers
> 
> There's a reason why e.g. LPI requires you to be able to compile your 
> own kernel even for getting a "Junior Level Linux Professional" 
> certificate.

Great!

> Or that one of the authors of "Linux Device drivers" has written a book 
> covering only how to build and run your own kernel.

Nonetheless, it will always be true that configuring your own kernel 
requires knowledge of the options you are setting.

	Jeff